<div class="eui-dropdown-button">
  <eui-dropdown (expand)="onChangeDropdownStatus($event)">
    <div class="flex-row eui-u-flex-gap-m">
      <button euiButton euiOutline="" euiPrimary class="eui-u-mv-m relative">
        <span euiLabel>Filter</span>
        <eui-icon-svg set="sharp" icon="filter"></eui-icon-svg>
      </button>
    </div>

    <eui-dropdown-content>
      <form [formGroup]=filtersFormGroup>
        <div class="eui-u-p-m flex-column">
          <select class="eui-u-mb-m" euiSelect name="framework" id="framework" libStopPropagation
                  formControlName="filter">
            <option value=""></option>
            @for (filt of filters; track filt) {
              <option [ngValue]="filt">{{ filt.label }}</option>
            }
          </select>
          @if (filtersFormGroup.get('filter')?.value) {
            @switch (filtersFormGroup.get('filter')?.value['type']) {
              @case ('date') {
                <eui-datepicker class="eui-u-pt-m" libStopPropagation></eui-datepicker>
              }
              @case ('rangeDate') {
                <eui-date-range-selector libStopPropagation></eui-date-range-selector>
              }
              @default {
                <input euiInputText id="with_label_default" [value]="filtersFormGroup.get('filter')?.value['placeholder']" libStopPropagation />
              }
            }
          }
        </div>
      </form>
      <div class="d-flex flex-row eui-u-flex-justify-content-end eui-u-flex-gap-m eui-u-p-m">
        <button euiButton euiBasicButton="">Cancel</button>
        <button euiButton euiPrimary (click)="onAddFilter()">Apply</button>
      </div>
    </eui-dropdown-content>
  </eui-dropdown>
  <div class="d-flex flex-row eui-u-flex-gap-m align-items-center eui-u-pl-m">
    <div class="d-flex flex-row eui-u-flex-gap-m">
      @for (filter of selectedFilters; track filter.name) {
        <eui-chip euiPrimary isChipRemovable=""><span euiLabel>{{ filter.name }}</span></eui-chip>
      }
    </div>
    <button euiButton euiBasicButton="" euiPrimary>Clear All</button>
  </div>
</div>
